#!/bin/sh

num=${1:-12}

uname -m
rpm -q redhat-release qpid-cpp-server \
  condor-qmf python-qpid python-qmf || exit 1

echo -n "Clean: " >&2
sh ./clean.sh >/dev/null 2>&1 && echo . >&2

echo -n "Submit: " >&2
for i in `seq 10`
  do
    {
      cat bigjob.submit
      echo queue $num
    } | condor_submit 2>/dev/null && break
    sleep 1
    echo -n . >&2
    test $i -eq 10 && exit 1
done

echo -n "Verify: " >&2
RET=$(for i in `seq 10`
do
  python bz601828.py 2>/dev/null | grep 91086 && break
  echo -n . >&2
  test $i -eq 10 && exit 1
done | wc -l)

test $RET -eq $num && {
  echo SUCCESS
} || {
  echo FAILURE
  exit 1
}
